Bug 735821 - chrony-helper command should work in systemd ExecStartPost=
Summary: chrony-helper command should work in systemd ExecStartPost=
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chrony
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 15:17 UTC by Albert Strasheim
Modified: 2011-09-30 19:26 UTC (History)
2 users (show)

Fixed In Version: chrony-1.26-3.20110831gitb088b7.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-25 03:52:09 UTC


Attachments (Terms of Use)

Description Albert Strasheim 2011-09-05 15:17:50 UTC
Description of problem:

chrony-helper command fails when used in systemd ExecStartPost=

Version-Release number of selected component (if applicable):

chrony-1.26-2.fc16.x86_64

Additional info:

Date: Mon, 5 Sep 2011 13:13:03 +0200
From: Miroslav Lichvar <mlichvar@redhat.com>
To: Albert Strasheim <albert.strasheim@gmail.com>
Cc: Lennart Poettering <lennart@poettering.net>
Subject: Re: Problem with chrony helper script and systemd
Message-ID: <20110905111303.GA5614@localhost>
References: <CALfB72A0_SaKMJg=TNKXutQSUxvCnrVnCBbSpgod7koJXii2=w@mail.gmail.com>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CALfB72A0_SaKMJg=TNKXutQSUxvCnrVnCBbSpgod7koJXii2=w@mail.gmail.com>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.23

On Sun, Sep 04, 2011 at 02:01:00PM +0200, Albert Strasheim wrote:
> Hello guys
> 
> I am testing chrony-1.26-2.fc16.x86_64 with systemd-34-1.fc16.x86_64.

> chronyd.service - NTP client/server
> Loaded: loaded (/etc/systemd/system/chronyd.service; enabled)
> Active: active (running) since Sun, 04 Sep 2011 11:53:45 +0000; 1s ago
> Process: 5953 ExecStartPost=/usr/libexec/chrony-helper command add
> server ${SERVER0} iburst (code=exited, status=3)
> Process: 5946 ExecStartPre=/usr/libexec/chrony-helper
> generate-commandkey (code=exited, status=0/SUCCESS)
> Main PID: 5952 (chronyd)
> CGroup: name=systemd:/system/chronyd.service
> - 5952 /usr/sbin/chronyd -n -u chrony

> The progam that has actually exited with status 3 is
> 
> systemctl status chronyd.service

I think that might be working as expected. The service is probably not
considered as running until all ExecStart* directives are complete.

Can you please file a bug against chrony to add an option to the
chrony-helper script which would shortcut the service check?

Thanks,

-- 
Miroslav Lichvar

Comment 1 Miroslav Lichvar 2011-09-06 15:28:42 UTC
The chrony-helper scripts now has "forced-command" command which doesn't check if the service is running.

Comment 2 Fedora Update System 2011-09-06 15:37:56 UTC
chrony-1.26-3.20110831gitb088b7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/chrony-1.26-3.20110831gitb088b7.fc16

Comment 3 Fedora Update System 2011-09-06 18:06:01 UTC
Package chrony-1.26-3.20110831gitb088b7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chrony-1.26-3.20110831gitb088b7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/chrony-1.26-3.20110831gitb088b7.fc16
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-09 10:13:52 UTC
chrony-1.26-3.20110831gitb088b7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/chrony-1.26-3.20110831gitb088b7.fc15

Comment 5 Fedora Update System 2011-09-25 03:51:59 UTC
chrony-1.26-3.20110831gitb088b7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-09-30 19:26:10 UTC
chrony-1.26-3.20110831gitb088b7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.